Skip to main content
GET
/
evaluations
/
human
/
pending
Get pending human evaluations
curl --request GET \
  --url https://api.galtea.ai/evaluations/human/pending \
  --header 'Authorization: Bearer <token>'
{
  "evaluations": [
    {
      "id": "eval_123",
      "metricId": "metric_123",
      "sessionId": "session_123",
      "userId": "user_123",
      "status": "SUCCESS",
      "testCaseId": "tc_123",
      "inferenceResultId": "ir_123",
      "score": 0.95,
      "reason": "High quality response",
      "error": "<string>",
      "canRetry": false,
      "creditsUsed": 1,
      "conversationSimulatorVersion": "1.0.0",
      "humanEvaluatorId": "<string>",
      "humanEvaluatorStartedAt": "2023-11-07T05:31:56Z",
      "failedTurns": [
        "<string>"
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "evaluatedAt": "2023-11-07T05:31:56Z",
      "metricLegacyAt": "2023-11-07T05:31:56Z",
      "metricDisabledAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

limit
integer

Maximum number of results

offset
integer

Number of results to skip

productIds
string[]

Filter by product IDs

sort
string[]

Sort instructions (field and direction pairs)

Response

Pending human evaluations retrieved successfully

evaluations
object[]
total
integer